Portfolios
Get vault information by id
Retrieve information and balances for a specific vault.
POST
/
0
/
private
/
GetCustodyVault
Get vault information by id
curl --request POST \
--url https://api.kraken.com/0/private/GetCustodyVault \
--header 'API-Key: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"nonce": 123
}'import requests
url = "https://api.kraken.com/0/private/GetCustodyVault"
payload = { "nonce": 123 }
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nonce: 123})
};
fetch('https://api.kraken.com/0/private/GetCustodyVault', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/private/GetCustodyVault"
payload := strings.NewReader("{\n \"nonce\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"errors": [
{
"errorClass": "<string>",
"type": "<string>",
"errorMessage": "<string>"
}
],
"result": {
"id": "VW44KPQC4C62K6",
"name": "My Vault 1",
"description": "My vault description",
"created_at": "1710877421",
"updated_at": "1710877421",
"balance_fiat": "1000.0000",
"balance_diff": "1.25",
"available_balance_fiat": "1000.0000",
"count_assets": 3,
"asset_details": [
{
"asset": "BTC",
"current_usd_price": "7.00",
"available_balance": {
"current_usd_value": "20.0",
"quantity": "0.00000500"
},
"total_balance": {
"current_usd_value": "5.00",
"quantity": "0.00001000"
}
}
],
"status": "created",
"iiban": "AA88 N84G AET3 RAOA",
"deposit_lock_rekeying_only": false
}
}Authorizations
The "API-Key" header should contain your API key.
Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.
Query Parameters
Vault ID
Required string length:
14Pattern:
^V[A-Z2-7]{12}[ACEGIKMOQSUWY246]$Body
application/json
Nonce used in construction of API-Sign header
Response
200 - application/json
Show child attributes
Show child attributes
Metadata of a vault
Show child attributes
Show child attributes
Example:
{
"id": "VW44KPQC4C62K6",
"name": "My Vault 1",
"description": "My vault description",
"created_at": "1710877421",
"updated_at": "1710877421",
"balance_fiat": "1000.0000",
"balance_diff": "1.25",
"available_balance_fiat": "1000.0000",
"count_assets": 3,
"asset_details": [
{
"asset": "BTC",
"current_usd_price": "7.00",
"available_balance": {
"current_usd_value": "20.0",
"quantity": "0.00000500"
},
"total_balance": {
"current_usd_value": "5.00",
"quantity": "0.00001000"
}
}
],
"status": "created",
"iiban": "AA88 N84G AET3 RAOA",
"deposit_lock_rekeying_only": false
}
⌘I
Get vault information by id
curl --request POST \
--url https://api.kraken.com/0/private/GetCustodyVault \
--header 'API-Key: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"nonce": 123
}'import requests
url = "https://api.kraken.com/0/private/GetCustodyVault"
payload = { "nonce": 123 }
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nonce: 123})
};
fetch('https://api.kraken.com/0/private/GetCustodyVault', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/private/GetCustodyVault"
payload := strings.NewReader("{\n \"nonce\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"errors": [
{
"errorClass": "<string>",
"type": "<string>",
"errorMessage": "<string>"
}
],
"result": {
"id": "VW44KPQC4C62K6",
"name": "My Vault 1",
"description": "My vault description",
"created_at": "1710877421",
"updated_at": "1710877421",
"balance_fiat": "1000.0000",
"balance_diff": "1.25",
"available_balance_fiat": "1000.0000",
"count_assets": 3,
"asset_details": [
{
"asset": "BTC",
"current_usd_price": "7.00",
"available_balance": {
"current_usd_value": "20.0",
"quantity": "0.00000500"
},
"total_balance": {
"current_usd_value": "5.00",
"quantity": "0.00001000"
}
}
],
"status": "created",
"iiban": "AA88 N84G AET3 RAOA",
"deposit_lock_rekeying_only": false
}
}